summaryrefslogtreecommitdiff
path: root/tests/install/basic-1
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2006-10-26 11:03:30 +0200
committerJim Meyering <jim@meyering.net>2006-10-26 11:03:30 +0200
commitb40b5b6917f62f59eff8f8bd913bd79e4cebe8f2 (patch)
tree8581923bfe75824980ae361df11e0a5bdcb3984c /tests/install/basic-1
parent95954ad5832e2dcc5709401643e615612281fc88 (diff)
downloadcoreutils-b40b5b6917f62f59eff8f8bd913bd79e4cebe8f2.tar.xz
Avoid a shell bug in Tru64 4.0 sh's handling of double-quoted strings.
[patch by Paul Eggert] * tests/chmod/c-option: When double-quoting part of a word, prefer to double-quote the whole word. This is a bit easier to read (at least for me), and in some cases it avoids a shell bug with Tru64 4.0 sh reported by Nelson H. F. Beebe. For example, instead of "$abs_srcdir"/../setgid-check we now write "$abs_srcdir/../setgid-check". * tests/cp/cp-parents: Likewise. * tests/du/inaccessible-cwd: Likewise. * tests/du/long-from-unreadable: Likewise. * tests/install/basic-1: Likewise. * tests/install/trap: Likewise. * tests/misc/close-stdout: Likewise. * tests/mkdir/concurrent-1: Likewise. * tests/mkdir/p-1: Likewise. * tests/mkdir/p-3: Likewise. * tests/mkdir/parents: Likewise. * tests/mkdir/perm: Likewise. * tests/readlink/can-e: Likewise. * tests/readlink/can-f: Likewise. * tests/readlink/can-m: Likewise. * tests/rm/inaccessible: Likewise. * tests/rm/unread3: Likewise. * tests/touch/no-create-missing: Likewise. * lib/.cvsignore: Add uinttostr.c.
Diffstat (limited to 'tests/install/basic-1')
-rwxr-xr-xtests/install/basic-14
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/install/basic-1 b/tests/install/basic-1
index bbb30878e..9ee4525a4 100755
--- a/tests/install/basic-1
+++ b/tests/install/basic-1
@@ -117,7 +117,7 @@ test -d newdir3 || fail=1
# hence cannot do anything meaningful with the following relative-named dirs.
abs=$pwd/$tmp
mkdir sub || fail=1
-(cd sub && chmod 0 . && ginstall -d "$abs"/xx/yy rel/sub1 rel/sub2 2> /dev/null) && fail=1
+(cd sub && chmod 0 . && ginstall -d "$abs/xx/yy" rel/sub1 rel/sub2 2> /dev/null) && fail=1
chmod 755 sub
# Ensure that the first argument-dir has been created.
@@ -132,7 +132,7 @@ test -d xx/rel && fail=1
# inaccessible parent. coreutils 5.97 fails this test.
mkdir -p sub1/d || fail=1
(cd sub1/d && chmod a-rx .. && chmod a-r . &&
- ginstall -d "$abs"/xx/zz rel/a rel/b 2> /dev/null) || fail=1
+ ginstall -d "$abs/xx/zz" rel/a rel/b 2> /dev/null) || fail=1
chmod 755 sub1 sub1/d || fail=1
test -d xx/zz || fail=1
test -d sub1/d/rel/a || fail=1